﻿(function (app) {
    app.controller('addCtrl', ["$scope", "$state", "storage", "myService", "msg", "$ionicTabsDelegate", "$ionicNavBarDelegate", "$ionicModal", "$ionicHistory"
        , function ($scope, $state, storage, myService, msg, $ionicTabsDelegate, $ionicNavBarDelegate, $ionicModal, $ionicHistory) {
            $ionicModal.fromTemplateUrl('my-modal.html', {
                scope: $scope,
                animation: 'slide-in-up'
            }).then(function (modal) {
                $scope.modal = modal;
            });
            $scope.openModal = function () {
                $scope.modal.show();
            };
            $scope.closeModal = function () {
                $scope.modal.hide();
            };
            $scope.vm={
                dream:'',
                about:'',
                money:""
            };
            $scope.imgs = [];
            $scope.videos = [];
            $scope.addpict = function () {
                common.chooseImage().then(function (img) {
                    common.uploadFiles(img,1).then(function (result) {
                        var response = JSON.parse(result.response);
                        var file = response.data.file;
                        $scope.imgs.push(file);
                    }, function (error) {
                        msg.error('图片上传失败');
                    });
                }, function (error) {
                    msg.error('图片选择失败');
                });
            }
            $scope.addvideo = function () {
                var options = { limit: 1, duration:20};
                navigator.device.capture.captureVideo(function (videos) {
                    $scope.videos.push(videos[0].fullPath);
                    common.uploadFiles(videos[0].fullPath, 2).then(function (result) {
                        debugger;
                        var response = JSON.parse(result.response);
                        var file = response.data.file;
                        debugger;
                    }, function (error) {
                        debugger;
                        msg.error('视频上传失败');
                    });
                }, function (error) {
                    debugger;
                }, options);
            }
           $scope.add=function ()
           {
               var data={
                   pic:['http://img.taopic.com/uploads/allimg/130103/240435-1301030P33161.jpg'],
                   dream:$scope.vm.dream,
                   about:$scope.vm.about,
                   time:21,
                   money:$scope.vm.money
               };
               myService.add(data).then(function(result){

               },function(error){
                   msg.error(error.data.message);
               });
           }
            $scope.$on('$ionicView.beforeEnter', function (viewResult) {
                $ionicTabsDelegate.showBar(false);
                $ionicNavBarDelegate.showBackButton(true);
            });
            $scope.$on('$ionicView.leave', function () {
                $ionicTabsDelegate.showBar(true);
            });
        }]);
})(angular.module('app.controllers'));